#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	LDAP
Summary:	DBD::LDAP - a DBI driver for LDAP databases
Summary(pl.UTF-8):	DBD::LDAP - sterownik DBI do baz danych LDAP
Name:		perl-DBD-LDAP
Version:	1.00
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	436fa67e50a37dd54e302e4f115c7c3c
URL:		http://search.cpan.org/dist/DBD-LDAP/
BuildRequires:	perl-DBI >= 1.03
BuildRequires:	perl-ldap >= 0.01
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::LDAP - a DBI driver for LDAP databases.

%description -l pl.UTF-8
DBD::LDAP - sterownik DBI do baz danych LDAP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/DBD/LDAP.pm
%{perl_vendorlib}/JLdap.pm
#%{perl_vendorlib}/auto/DBD
%{_mandir}/man3/*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DBD-LDAP.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> b0924ed
- up to 1.00

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 643a731
- x32 rebuild
- release 2 (by relup.sh)

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 697f419
- updated to 0.20

* Mon Oct 19 2009 amateja <amateja@pld-linux.org> 80b7c3e
- removed

* Mon Oct 19 2009 amateja <amateja@pld-linux.org> b6c43ae
- updated to 0.10
- removed usless patch

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 51c548c
- generic URL

* Sun Dec 23 2007 zbyniu <zbyniu@pld-linux.org> 5be7e5e
- up to 0.09

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bdd432c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2fadb23
- converted to UTF-8

* Tue Apr 04 2006 Maciej Pijanka <agaran@pld-linux.org> 1da68d4
- up to 0.07 rel1, builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> a7552ff
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 40694ad
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 9b02045
- tests added

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 11d4dee
- license fixes and unification

* Fri Apr 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 7d53b6b
- updated to 0.06

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> fb22e47
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> a2a2aa8
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 174d61a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1ff0eef
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Mar 02 2003 radek <radek@pld-linux.org> a78fef0
- provided informative summaries

